VMALLOC_NODE(9)

NAME
vmalloc_node - allocate memory on a specific node

SYNOPSIS

void * vmalloc_node(unsigned long size, int node);

ARGUMENTS

size
    allocation size

node
    numa node

DESCRIPTION

Allocate enough pages to cover size from the page level allocator and map them into contiguous kernel virtual space.

For tight control over page level allocator and protection flags use __vmalloc instead.

COPYRIGHT